/**
 * This file contains informations about all the battlegrounds of the game
 * It includes informations about all objectives and camps, and will define the layout of the battleground page
 *
 * The 'objectives' field is an array, each item being an array representing a line on the battleground page
 */
import { CAMPS, MAP } from './objectives'

export default {
  alteracPass: {
    name: 'Alterac Pass'
  },
  battlefieldOfEternity: {
    name: 'Battlefield of Eternity',
    objectives: [
      [
        MAP.immortals
      ],
      [
        {...CAMPS.impalers, position: 'top'}
      ],
      [
        {...CAMPS.shamans, position: 'blue side'},
        {...CAMPS.shamans, position: 'red side'}
      ],
      [
        {...CAMPS.impalers, position: 'bottom'}
      ]
    ]
  },
  blackheartSBay: {
    name: "Blackheart's Bay"
  },
  gardenOfTerror: {
    name: 'Garden of Terror'
  },
  hanamuraTemple: {
    name: 'Hanamura Temple'
  },
  volskayaFoundry: {
    name: 'Volskaya Foundry'
  },
  hauntedMines: {
    name: 'Haunted Mines'
  },
  towersOfDoom: {
    name: 'Towers of Doom'
  },
  infernalShrines: {
    name: 'Infernal Shrines',
    objectives: [
      [
        MAP.shrine
      ],
      [
        {...CAMPS.shamans, position: 'blue side'},
        {...CAMPS.shamans, position: 'red side'}
      ],
      [
        {...CAMPS.impalers, position: 'blue side'},
        {...CAMPS.impalers, position: 'red side'}
      ],
      [
        {...CAMPS.impalers, position: 'bottom'}
      ]
    ]
  },
  tombOfTheSpiderQueen: {
    name: 'Tomb of the Spider Queen'
  },
  skyTemple: {
    name: 'Sky Temple'
  },
  dragonShire: {
    name: 'Dragon Shire'
  },
  cursedHollow: {
    name: 'Cursed Hollow'
  },
  braxisHoldout: {
    name: 'Braxis Holdout'
  },
  warheadJunction: {
    name: 'Warhead Junction'
  }
}
